

#app {
  --inline-desktop-padding: 50px;
  --heading-font-family: Roboto Slab, serif;
}
#home .see-all-container h2 {
  font-size: 34px;
  line-height: 1.1;
  font-weight: 500;
  letter-spacing: 0.018em;
  padding-bottom: 10px;
  border-bottom: 2px solid var(--primary-color, #000);
  display: inline-block;
  text-transform: none;
  font-family: var(--heading-font-family) !important;
}
@media screen and (min-width: 600px) {
  #home .see-all-container h2 {
    font-size: 40px;
  }
}
@media screen and (min-width: 1280px) {
  #home .see-all-container h2 {
    font-size: 50px;
  }
}
.slide-wrapper {
  --gradient-color: none;
}
.type-A.gallery-button-wrapper .gallery-buttons {
  justify-content: center;
}
.type-A.gallery-button-wrapper {
  background: var(--primary-color);
  padding: 10px 10px 10px 10px;
}
/* center gallery v7 text */
#cms-gallery .gallery-content {
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  box-sizing: border-box;
  width: 100%;

  @media screen and (min-width: 1280px) {
    max-width: 1100px;
  }

  .button-link {
    margin-inline: auto;
  }
}
/* end center gallery v7 text */

/* custom about us v4 */
.custom-about-us-v4 {
  box-sizing: border-box;
  background: var(--section-bg-color, transparent);
  position: relative;
  isolation: isolate;
  width: 100%;

  @media screen and (min-width: 960px) {
    padding-inline: var(--inline-desktop-padding);
    padding-block: clamp(2.5rem, -0.106rem + 4.255vw, 5rem);

    &:has(.custom-about-us-item-image img[src^="http"])
      .custom-about-us-content {
      max-width: 50%;
      padding-right: 5vw;
    }
  }

  &::before {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    height: 100%;
    width: 100%;
    z-index: -1;
    background-image: var(--watermark-url);
    background-size: 76% auto;
    background-position: center 5%;
    background-repeat: no-repeat;
    opacity: 0.07;

    @media screen and (min-width: 960px) {
      background-position: -200px bottom;
      background-size: auto 100%;
      height: calc(100% + 120px);
    }
  }

  *,
  *::before,
  *::after {
    box-sizing: inherit;
  }

  /* CMS labels hidden */
  .label.only-in-cms {
    display: none;
  }

  .custom-about-us-container {
    display: flex;
    flex-direction: column;
    gap: 25px;

    @media screen and (min-width: 960px) {
      flex-direction: row;
      gap: 0;
    }
  }
  .custom-about-us-content {
    flex: 1;
    display: contents;

    @media screen and (min-width: 960px) {
      padding-top: 15px;
      display: flex;
      flex-direction: column;
      gap: clamp(1.563rem, -1.37rem + 4.787vw, 4.375rem);
    }

    @media screen and (min-width: 1280px) {
      padding-top: 25px;
    }
  }
  &.style-texas h2 {
    font-family: var(--heading-font-family) !important;
  }
  .see-all-container.see-all-top {
    order: -2;

    @media screen and (min-width: 960px) {
      order: 0;
    }
  }
  .header-slot-container {
    color: var(--primary-color);
  }
  .header-slot-container .header-bottom {
    font-size: 42px;
    font-weight: 700;

    @media screen and (min-width: 600px) {
      font-size: 48px;
    }
    @media screen and (min-width: 960px) {
      font-size: 56px;
    }
  }
  .about-us-description {
    font-size: clamp(1.063rem, 0.802rem + 0.426vw, 1.313rem);
    line-height: 1.6;
    letter-spacing: 0.015em;
  }
  .read-more-button .custom-about-us-item-link a {
    background-color: var(--secondary-color);
    color: var(--secondary-color-contrast);
    text-decoration: none;
    padding: 12px 20px;
    display: inline-block;
    border-radius: 8px;
    min-width: 325px;
    max-width: 100%;
    text-align: center;
    text-transform: uppercase;
    font-weight: 500;
    letter-spacing: 0.0625em;
    transition:
      background-color 0.35s ease,
      color 0.35s ease;

    &:hover {
      background-color: var(--primary-color);
      color: var(--primary-color-contrast);
    }

    @media screen and (min-width: 1280px) {
      padding-block: 20px;
    }
  }
  .about-us-image {
    flex: 1;
    text-align: center;
    order: -1;

    @media screen and (min-width: 960px) {
      max-width: 50%;
      order: 2;
    }

    &:not(:has(img[src^="http"])) {
      display: none;
    }

    .custom-about-us-item-image {
      position: relative;
      padding: 15px;
      display: inline-block;
      isolation: isolate;
      filter: drop-shadow(0 13px 29px rgba(99, 95, 95, 0.17))
        drop-shadow(0 52px 52px rgba(99, 95, 95, 0.15))
        drop-shadow(0 117px 70px rgba(99, 95, 95, 0.09))
        drop-shadow(0 209px 83px rgba(99, 95, 95, 0.03))
        drop-shadow(0 326px 91px rgba(99, 95, 95, 0));

      @media screen and (min-width: 1280px) {
        padding: 25px;
      }

      &:hover {
        &::before {
          transform: translate(-10px, 10px);
        }
        &::after {
          transform: translate(10px, -10px);
        }
      }

      &::before,
      &::after {
        content: "";
        position: absolute;
        z-index: -1;
        width: 75%;
        height: 75%;
        border-radius: 15px;
        transition: all 0.3s ease;
      }
      &::before {
        background: var(--secondary-color, #eee);
        left: 0;
        bottom: 0;
      }
      &::after {
        background: var(--primary-color, #000);
        right: 0;
        top: 0;
      }
      img {
        display: block;
        max-width: 100%;
        height: auto;
        object-fit: cover;
        margin-inline: auto;
        border-radius: 15px;
      }
    }
  }
}
#home .main:has(+ .main .custom-about-us-v4) > .view-container {
  background: transparent;
  z-index: 2;
}
/* end custom about us v4 */
#buttons-b3 .wrapper .button .button-link {
  width: 100%;
  box-sizing: border-box;
}

/* programs */
#home .main > .view-container:has(.programs-v5) {
  z-index: 2;
  &,
  .programs-wrapper {
    background: transparent;
  }
}
@media screen and (min-width: 960px) {
  #home .programs-wrapper {
    padding-inline: var(--inline-desktop-padding);
  }
}

/* end programs */
/* custom parallax */
#home .parallax-section.custom-section {
  padding: 0;
  position: relative;

  &::before {
    content: "";
    left: 0;
    bottom: 0;
    width: 100%;
    height: 200px;
    max-height: 70%;
    position: absolute;
    background: linear-gradient(
      180deg,
      color-mix(in srgb, var(--primary-color), transparent 100%) 0%,
      color-mix(in srgb, var(--primary-color), #fff 85%) 100%
    );
    z-index: 1;
    opacity: 1;
    transform: translateY(-100%);
  }

  &:not(:has(img[src^="http"])):has(.prlx-v1-description > span:first-child:empty) {
      display: none !important;
  }
}
#home .custom-parallax-v1 {
  --parallax-v1-mask-bg-color:
    linear-gradient(
      180deg,
      color-mix(in srgb, var(--primary-color), #fff 100%) 25.96%,
      color-mix(in srgb, var(--primary-color), #fff 75%) 61.54%
    ),
    rgb(243, 242, 242) 0px -139.4px / 100% 94.742% no-repeat;
  --parallax-v1-mask-text-color: #000;
  --parallax-v1-mask-opacity: 0.7;
  --parallax-v1-area-height: 80vh;
  margin-top: -190px;
  padding-top: 190px;
  margin-bottom: -200px;
  padding-bottom: 200px;
  box-sizing: border-box;

  &::before {
    content: "";
    left: 0;
    top: 0;
    width: 100%;
    height: 180px;
    position: absolute;
    background: linear-gradient(180deg, #fff 0%, rgba(255, 255, 255, 0) 100%);
    z-index: 1;
  }

  .prlx-v1-description {
    color: #333;
    letter-spacing: 0.02em;
    font-size: 17px;
    line-height: 1.5;

    @media screen and (min-width: 960px) {
      font-size: 21px;
    }
  }
  .see-all-container,
  .prlx-v1-description {
    max-width: 1320px;
    display: block;
    margin-inline: auto;
  }

  h2,
  h3 {
    font-family: var(--heading-font-family) !important;
  }
  h2 {
    font-size: 40px;
    border: 0;
    padding: 0;

    @media screen and (min-width: 600px) {
      font-size: 45px;
    }
    @media screen and (min-width: 960px) {
      font-size: 60px;
    }
  }

  .parallax-v1-content .prlx-v1-button a {
    background-color: var(--primary-color);
    border-color: var(--primary-color);
    color: var(--primary-color-contrast);
    border-radius: 8px;

    &:hover {
      background-color: var(--secondary-color);
      color: var(--secondary-color-contrast);
    }
  }
}
/* custom parallax */
/* by the numbers v5 */
#home .main > .view-container:has(#by-the-numbers-v5) {
  background: transparent;
  position: relative;
  z-index: 1;
}
#home #by-the-numbers-v5 {
  --section-bg-color: linear-gradient(
    180deg,
    color-mix(in srgb, var(--primary-color), #fff 85%) 0%,
    color-mix(in srgb, var(--primary-color), #fff 65%) 100%
  );
  --items-text-color: var(--secondary-color-contrast);
  --items-backgrund-color: var(--secondary-color);
  --even-items-background-color: var(--primary-color);
  --even-items-text-color: var(--primary-color-contrast);
  position: relative;
  isolation: isolate;
  padding-bottom: 30px;

  @media screen and (min-width: 960px) {
    padding-inline: var(--inline-desktop-padding);
  }

  & .flip-cards-container {
    max-width: 100%;
  }

  .header-slot-container {
    margin-inline: 0;
  }
  .flip-cards .flip-card-back {
    isolation: isolate;

    &::after {
      position: absolute;
      content: "";
      bottom: 0;
      left: 0;
      width: 100%;
      height: 100%;
      border-radius: 10px;
      background: linear-gradient(
        180deg,
        rgba(0, 0, 0, 0) 0%,
        rgba(0, 0, 0, 0.45) 100%
      );
      z-index: -1;
    }
  }
}

#home .main:has(#by-the-numbers-v5) + .main div[style*="--bg-color"] {
  position: relative;
  isolation: isolate;

  &:before {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 150px;
    content: "";
    background: linear-gradient(
      180deg,
      color-mix(in srgb, var(--primary-color), #fff 65%) 0%,
      color-mix(in srgb, var(--primary-color), transparent 100%) 100%
    );
    opacity: 1;
    z-index: -1;
  }
  &::after {
    z-index: -2;
  }
}
/* Live Feed */
#cms-live-feed .wrapper {
  position: relative;
  background-color: transparent;
  z-index: 3;
}

#cms-live-feed .live-feed-lf8:before {
  content: "";
  display: block;
  position: absolute;
  background-color: var(--bg-color);
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  opacity: 0.15;
  z-index: 2;
}

#cms-live-feed .live-feed-lf8:after {
  content: "";
  background-image: var(--watermark-url);
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: 600px;
  display: block;
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  opacity: 0.15;
  z-index: 1;
}

@media screen and (max-width: 599px) {
  #cms-live-feed .live-feed-lf8:after {
    background-size: 75vw;
  }
}

@media only screen and (min-width: 1200px) {
  #home #cms-live-feed .wrapper {
    padding-inline: var(--inline-desktop-padding);
  }
  #home #cms-live-feed .cards-wrapper {
    padding-bottom: 40px;
    padding-top: 15px;
    padding-inline: 0px;
  }
  #home #cms-live-feed .wrapper {
    padding-bottom: 10px;
  }
  #home #cms-live-feed .cards-slider .card {
    border-radius: var(--radius);
    overflow: clip;
    box-shadow:
      21px 48px 15px 0 rgba(92, 87, 87, 0),
      13px 31px 13px 0 rgba(92, 87, 87, 0.03),
      8px 17px 11px 0 rgba(92, 87, 87, 0.08),
      3px 8px 8px 0 rgba(92, 87, 87, 0.12),
      1px 2px 5px 0 rgba(92, 87, 87, 0.15);
  }

  #home #cms-live-feed .cards-slider {
    padding-inline: 10px;
    padding-top: 15px;
  }
  #home #cms-live-feed .cards-slider .card .card-gallery,
  #home #cms-live-feed .cards-slider .card .card-content {
    width: calc(25vw - 43px);
  }
}
@media only screen and (min-width: 1400px) {
  #home #cms-live-feed .slider-button.left {
    left: 10px;
  }
  #home #cms-live-feed .cards-slider .card .card-gallery,
  #home #cms-live-feed .cards-slider .card .card-content {
    width: calc(25vw - 52px);
  }
}
#home #cms-live-feed .live-feed-lf8:after {
  display: none;
}
/* events */
#home .view-events.events-versions:has(.events-e6) {
  background: linear-gradient(
    180deg,
    color-mix(in srgb, var(--primary-color), #fff 85%) 0%,
    color-mix(in srgb, var(--primary-color), #fff 65%) 100%
  );
  isolation: isolate;
  position: relative;

  .events-e6:before {
    content: "";
    left: 0;
    top: 0;
    width: 100%;
    height: 180px;
    position: absolute;
    background: linear-gradient(180deg, #fff 0%, rgba(255, 255, 255, 0) 100%);
    z-index: -1;
  }
  &::after {
    z-index: -2;
  }
}
#home .main:has(.events-e6) + .main div[style*="--bg-color"] {
  position: relative;
  isolation: isolate;

  &:before {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 150px;
    content: "";
    background: linear-gradient(
      180deg,
      color-mix(in srgb, var(--primary-color), #fff 65%) 0%,
      color-mix(in srgb, var(--primary-color), transparent 100%) 100%
    );
    opacity: 1;
    z-index: -1;
  }
  &::after {
    z-index: -2;
  }
}
#home .events-e6 .see-all-top {
  max-width: 100%;
}
#home .events-e6:after {
  right: 32px;
  background-size: contain;
  border-radius: 15px;
  background-position: right center;

  @media only screen and (min-width: 960px) {
    right: var(--inline-desktop-padding);
  }
}
@media only screen and (min-width: 960px) {
  #home .events-e6,
  #home #news-n5 {
    padding-inline: var(--inline-desktop-padding);
  }
}

/* news section */
#home .news-overview .news-overview-body {
  margin-left: 0;
  overflow: visible;
}
#home .news-list .N5-story .image-hidden-wrapper.accent-styling {
  border-bottom: 0;
}
#home .news-list .N5-story .news-title.accent-styling {
  bottom: 0;
}

#home #news-n5 .news-overview-image-container,
#home #news-n5 .image-hidden-wrapper {
  box-shadow:
    21px 48px 15px 0 rgba(92, 87, 87, 0),
    13px 31px 13px 0 rgba(92, 87, 87, 0.04),
    8px 17px 11px 0 rgba(92, 87, 87, 0.13),
    3px 8px 8px 0 rgba(92, 87, 87, 0.22),
    1px 2px 5px 0 rgba(92, 87, 87, 0.25);
}
#home .news-list,
#home .story .news-image {
  overflow: visible;
}
/* news */

/* footer */
#view-footer #cms-footer {
  position: relative;
  isolation: isolate;

  &::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 200px;
    max-height: 60%;
    z-index: -1;
    background: linear-gradient(180deg, #fff 0%, rgba(255, 255, 255, 0) 100%);
    opacity: 0.9;
  }

  .footer-logo {
    filter: drop-shadow(0 4px 9px rgba(0, 0, 0, 0.5));
  }

  h2 {
    font-family: var(--heading-font-family) !important;
  }
}
/* end footer */
/* ------------------------------------------ */
/* ------------- Sidenav - display only level 2 and 3 for just a selection of pages (ex. departments)  --------------- */
/* ------------------------------------------ */
#page-wrapper #sidebarNav[data-menu-id="1616892"] h2,
#page-wrapper #sidebarNav[data-menu-id="1616892"] .navLinks > li:not(.active),
#page-wrapper
  #sidebarNav[data-menu-id="1616892"]
  .navLi.hasSubmenu.active
  .submenuBtn {
  display: none;
}

#page-wrapper
  #sidebarNav[data-menu-id="1616892"]
  .navLinks
  > li.active
  .submenu {
  display: block;
  font-size: 16px;
}

#page-wrapper #sidebarNav[data-menu-id="1616892"] .navLinks > li.active > a {
  color: #fff;
  padding-left: 20px;
  margin-bottom: 1px;
  border-radius: 20px 20px 0 0;
  background: var(--primary-color);
  font-size: 24px;
  line-height: 1.1;
}

#page-wrapper
  #sidebarNav[data-menu-id="1616892"]
  .navLinks
  > li.active
  > a:after,
#page-wrapper
  #sidebarNav[data-menu-id="1616892"]
  .navLinks
  > li.active
  .submenu
  li:before {
  display: none;
}

#page-wrapper
  #sidebarNav[data-menu-id="1616892"]
  .navLinks
  > li.active
  .submenu
  li.active
  > a:after {
  right: auto;
  left: 0;
}

#page-wrapper
  #sidebarNav[data-menu-id="1616892"]
  .navLinks
  > li.active
  .submenu
  li
  a {
  padding-left: 22px;
}

#page-wrapper
  #sidebarNav[data-menu-id="1616892"]
  .navLinks
  > li.active
  .submenu
  li.active:last-child,
#page-wrapper #sidebarNav[data-menu-id="1616892"] .navLinks > li.active {
  border-radius: 20px;
}
/* ------------------------------------------ */
/* ------------- END Sidenav - display only level 2 and 3 for just a selection of pages (ex. departments) --------------- */
/* ------------------------------------------ */